<?php
require_once "../config/Conexion.php";
require_once "../modelos/OdontProcedimiento.php";

$procedimiento = new OdontProcedimiento();

$idprocedimiento = isset($_POST["idprocedimiento"]) ? limpiarCadena($_POST["idprocedimiento"]) : "";
$codigo = isset($_POST["codigo"]) ? limpiarCadena($_POST["codigo"]) : "";
$nombre = isset($_POST["nombre"]) ? limpiarCadena($_POST["nombre"]) : "";
$descripcion = isset($_POST["descripcion"]) ? limpiarCadena($_POST["descripcion"]) : "";
$categoria = isset($_POST["categoria"]) ? limpiarCadena($_POST["categoria"]) : "";
$precio = isset($_POST["precio"]) ? limpiarCadena($_POST["precio"]) : "";

switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idprocedimiento)) {
            $rspta = $procedimiento->insertar($codigo, $nombre, $descripcion, $categoria, $precio);
            echo $rspta ? "Procedimiento registrado" : "Procedimiento no se pudo registrar";
        } else {
            $rspta = $procedimiento->editar($idprocedimiento, $codigo, $nombre, $descripcion, $categoria, $precio);
            echo $rspta ? "Procedimiento actualizado" : "Procedimiento no se pudo actualizar";
        }
        break;

    case 'desactivar':
        $rspta = $procedimiento->desactivar($idprocedimiento);
        echo $rspta ? "Procedimiento Desactivado" : "Procedimiento no se puede desactivar";
        break;

    case 'activar':
        $rspta = $procedimiento->activar($idprocedimiento);
        echo $rspta ? "Procedimiento activado" : "Procedimiento no se puede activar";
        break;

    case 'mostrar':
        $rspta = $procedimiento->mostrar($idprocedimiento);
        echo json_encode($rspta);
        break;

    case 'listarActivos':
        $rspta = $procedimiento->listarActivos();
        $data = array();

        while ($reg = $rspta->fetch_object()) {
            $data[] = array(
                "0" => '<button class="btn btn-warning" onclick="agregarDetalle(' . $reg->idprocedimiento . ',\'' . $reg->nombre . '\',' . $reg->precio . ')"><span class="fa fa-plus"></span></button>',
                "1" => $reg->codigo,
                "2" => $reg->nombre,
                "3" => $reg->categoria,
                "4" => $reg->precio
            );
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;

    case 'listar':
        $rspta = $procedimiento->listar();
        $data = array();

        while ($reg = $rspta->fetch_object()) {
            $data[] = array(
                "0" => ($reg->estado) ?
                    '<button class="btn btn-warning" onclick="mostrar(' . $reg->idprocedimiento . ')"><i class="fa fa-pencil"></i></button>' .
                    ' <button class="btn btn-danger" onclick="desactivar(' . $reg->idprocedimiento . ')"><i class="fa fa-close"></i></button>'
                    :
                    '<button class="btn btn-warning" onclick="mostrar(' . $reg->idprocedimiento . ')"><i class="fa fa-pencil"></i></button>' .
                    ' <button class="btn btn-primary" onclick="activar(' . $reg->idprocedimiento . ')"><i class="fa fa-check"></i></button>',
                "1" => $reg->codigo,
                "2" => $reg->nombre,
                "3" => $reg->categoria,
                "4" => $reg->precio,
                "5" => ($reg->estado) ? '<span class="label bg-green">Activado</span>' : '<span class="label bg-red">Desactivado</span>'
            );
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
}
?>